Bug 1085576 - Typo in Python support breaks info type-printers command
Summary: Typo in Python support breaks info type-printers command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Phil Muldoon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1350436
TreeView+ depends on / blocked
 
Reported: 2014-04-09 00:14 UTC by Clem Dickey
Modified: 2016-06-27 12:47 UTC (History)
7 users (show)

Fixed In Version: gdb-7.9.1-17.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1350436 (view as bug list)
Environment:
Last Closed: 2015-07-02 17:05:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 17136 None None None Never

Description Clem Dickey 2014-04-09 00:14:35 UTC
Description of problem:

in gdb, 'info type-printers' command is broken when any loaded object files have type printers.

Version-Release number of selected component (if applicable):

gdb-7.6.50.20130731-19.fc20.x86_64

How reproducible:

100%.

Steps to Reproduce:
1. Create and compile a trivial C++ program:
   echo 'int main() {}' > tm.C
   g++ -o tm -g tm.C
2. Run it under gdb, breaking at 'main' (after the C++ library is loaded).
   $ gdb tm
   (gdb) b main
   (gdb) r
3. Ask gdb for 
   (gdb) info type-printers

Actual results:

Python Exception <type 'exceptions.AttributeError'> 'gdb.Objfile' object has no attribute 'name': 
Error occurred in Python command: 'gdb.Objfile' object has no attribute 'name'

Expected results:

Type printers for /lib64/libstdc++.so.6:
  std::cmatch
  std::cregex_iterator
  std::cregex_token_iterator

etc.

Additional info:

Line 50 of /usr/share/gdb/python/gdb/command/type_printers.py is
  print ("%sType printers for %s:" % (sep, objfile.name))
It should be
  print ("%sType printers for %s:" % (sep, objfile.filename))

Comment 1 Fedora End Of Life 2015-05-29 11:30:50 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Jonathan Wakely 2015-05-29 12:10:44 UTC
Still present in F22

Comment 3 Jonathan Wakely 2015-05-29 12:12:05 UTC
(In reply to Clem Dickey from comment #0)
> 
> Line 50 of /usr/share/gdb/python/gdb/command/type_printers.py is
>   print ("%sType printers for %s:" % (sep, objfile.name))
> It should be
>   print ("%sType printers for %s:" % (sep, objfile.filename))

I can confirm that this solves the problem.

Comment 4 Fedora Update System 2015-06-26 14:10:12 UTC
gdb-7.8.2-39.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gdb-7.8.2-39.fc21

Comment 5 Fedora Update System 2015-06-26 14:19:05 UTC
gdb-7.9.1-17.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gdb-7.9.1-17.fc22

Comment 6 Fedora Update System 2015-06-27 12:40:38 UTC
Package gdb-7.9.1-17.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdb-7.9.1-17.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10822/gdb-7.9.1-17.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-07-02 17:05:16 UTC
gdb-7.9.1-17.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-07-14 15:36:42 UTC
gdb-7.8.2-39.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.